OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TextureBufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureBufferObject :: MonadIO m => m Bool
- gl_ARB_texture_buffer_object :: Bool
- pattern GL_MAX_TEXTURE_BUFFER_SIZE_ARB :: GLenum
- pattern GL_TEXTURE_BINDING_BUFFER_ARB :: GLenum
- pattern GL_TEXTURE_BUFFER_ARB :: GLenum
- pattern GL_TEXTURE_BUFFER_DATA_STORE_BINDING_ARB :: GLenum
- pattern GL_TEXTURE_BUFFER_FORMAT_ARB :: GLenum
- glTexBufferARB :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()

# Extension Support

glGetARBTextureBufferObject :: MonadIO m => m Bool Source #

Is the ARB_texture_buffer_object extension supported?

gl_ARB_texture_buffer_object :: Bool Source #

Is the ARB_texture_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureBufferObject` in those cases instead.

# Enums

pattern GL_MAX_TEXTURE_BUFFER_SIZE_ARB :: GLenum Source #

pattern GL_TEXTURE_BINDING_BUFFER_ARB :: GLenum Source #

pattern GL_TEXTURE_BUFFER_ARB :: GLenum Source #

pattern GL_TEXTURE_BUFFER_DATA_STORE_BINDING_ARB :: GLenum Source #

pattern GL_TEXTURE_BUFFER_FORMAT_ARB :: GLenum Source #

# Functions

glTexBufferARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLuint | `buffer`.
-> m () |

This command is an alias for `glTexBuffer`.